跳到内容

计划请求

要获取每个计划请求的响应,必须在主请求之后发送 /getResults。大多数统计与分析 API 方法都需要发送 /getResults 才能获取统计文件或 JSON:

getResults

Anchor link to

POST https://api.pushwoosh.com/json/1.3/getResults

检索计划请求的结果。

请求正文

Anchor link to
名称类型描述
auth*string来自 Pushwoosh Control Panel 的 API access token
request_id*string由计划方法返回的请求 ID。
示例
{
"request":{
"auth": "yxoPUlwqm…………pIyEX4H", // 必需。来自 Pushwoosh Control Panel 的 API access token。
"request_id": "REQUEST_ID" // 必需。由计划方法返回的请求 ID。
}
}

响应取决于您要获取结果的请求,因此可能会有所不同。以下是 /getMsgStats 请求的响应示例:

响应示例
{
"status_code": 200,
"status_message": "OK",
"response": {
"formatter": "hourly",
"rows": [{
"datetime": "2020-05-13 08:00:00",
"action": "send",
"count": 6
}, {
"datetime": "2020-05-13 08:00:00",
"action": "inboxopen",
"count": 0
}, {
"datetime": "2020-05-13 08:00:00",
"action": "delivery",
"count": 1
}, {
"datetime": "2020-05-13 08:00:00",
"action": "open",
"count": 0
}],
"conversion": {
"send": 6,
"delivery": 1,
"open": 0,
"events": []
}
}
}